Page MenuHomePhabricator

Update scap deploy-local args to have more information
AbandonedPublic

Authored by thcipriani on Oct 2 2016, 4:56 PM.

Details

Maniphest Tasks
T146602: scap deploy-local should make fewer assumptions about server/directories
Reviewers
dduvall
mmodell
demon
Group Reviewers
Release-Engineering-Team
Patch without arc
git checkout -b D399 && curl -L https://phabricator.wikimedia.org/D399?download=true | git apply
Summary

Rather than relying so heavily on the config for scap to understand the
state of the world.

This change will modify the way that deploy-local is invoked for scap.

scap deploy-local [stage] [remote-git-repo] [local-final-path]

For example to run the config_fetch phase of parsoid deployment:

scap deploy-local config_deploy http://deployment.eqiad.wmnet/parsoid/deploy /srv/deployment/parsoid/deploy

This will require puppet changes to be merged at the same time.

Fixes T146602

Diff Detail

Event Timeline

thcipriani updated this revision to Diff 1064.Oct 2 2016, 4:56 PM
thcipriani retitled this revision from to Update scap deploy-local args to have more information.
thcipriani updated this object.
thcipriani edited the test plan for this revision. (Show Details)
thcipriani added reviewers: mmodell, dduvall, demon.
thcipriani added subscribers: mobrovac, Joe.
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptOct 2 2016, 4:56 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
jenkins added a subscriber: jenkins.Oct 2 2016, 4:56 PM

Build is unstable

W: scap source: changelog-should-mention-nmu
N:
N: When you NMU a package, that fact should be mentioned on the first line
N: in the changelog entry. Use the words "NMU" or "Non-maintainer upload"
N: (case insensitive).
N:
N: Maybe you didn't intend this upload to be a NMU, in that case, please
N: double-check that the most recent entry in the changelog is
N: byte-for-byte identical to the maintainer or one of the uploaders. If
N: this is a local package (not intended for Debian), you can suppress this
N: warning by putting "local" in the version number or "local package" on
N: the first line of the changelog entry.
N:
N: Refer to Debian Developer's Reference section 5.11.3 (Using the DELAYED/
N: queue) for details.
N:
N: Severity: normal, Certainty: certain
N:
N: Check: nmu, Type: source
N:
W: scap source: source-nmu-has-incorrect-version-number 3.3.0-1+0~20161002165613.133~1.gbp0d76e5
N:
N: A source NMU should have a Debian

Link to build: https://integration.wikimedia.org/ci/job/beta-build-deb/133/
See console output for more information: https://integration.wikimedia.org/ci/job/beta-build-deb/133/console

thcipriani updated this object.Oct 2 2016, 4:59 PM
thcipriani edited edge metadata.
thcipriani updated the revert plan for this revision. (Show Details)
thcipriani removed a subscriber: jenkins.
mmodell accepted this revision.Oct 3 2016, 11:13 PM
mmodell edited edge metadata.

One inline nitpick but it's not critical.

scap/deploy.py
68–73

Shouldn't these all be required=True

This revision is now accepted and ready to land.Oct 3 2016, 11:13 PM
demon edited edge metadata.Jun 1 2017, 10:01 PM

This still good to land?

thcipriani abandoned this revision.Jun 2 2017, 6:25 PM
In D399#13204, @demon wrote:

This still good to land?

Probably not. I still think this is a good thing to do

scap deploy-local [server] [destination]

makes more sense than the current state of things:

scap deploy-local --repo foo/bar

But I made this patch a while ago and couldn't figure out how to roll it out at the time. The easiest thing may be to lock deployments until scap is updated on all targets. In any event, this patch is old and dusty and will probably break stuff at this point.

Will abandon and revisit later.